#!/bin/bash
# Install Miniconda and ANTS in a Google Colab instance

# Download and install Miniconda
MINICONDA_INSTALLER_SCRIPT=Miniconda3-4.5.4-Linux-x86_64.sh
MINICONDA_PREFIX=/usr/local
wget https://repo.continuum.io/miniconda/$MINICONDA_INSTALLER_SCRIPT
chmod +x $MINICONDA_INSTALLER_SCRIPT
./$MINICONDA_INSTALLER_SCRIPT -b -f -p $MINICONDA_PREFIX

conda install --channel defaults conda python=3.6 --yes
conda update --channel defaults --all --yes

python -c 'import sys; _ = (sys.path.append("/usr/local/lib/python3.6/site-packages"))'

# Download and install tree
apt-get -qq install tree

# Download and install ANTS
conda install -y -c aramislab ants        
